# DataExchange
TKSTEP209
StepElement

# StepElement_Array1OfSurfaceSection Class Reference

`#include <StepElement_Array1OfSurfaceSection.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepElement_Array1OfSurfaceSection (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepElement_Array1OfSurfaceSection (const Handle(StepElement_SurfaceSection)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepElement_SurfaceSection)&V)
Standard_EXPORT void | Destroy ()
| ~StepElement_Array1OfSurfaceSection ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepElement_Array1OfSurfaceSection & | Assign (const StepElement_Array1OfSurfaceSection &Other)
const StepElement_Array1OfSurfaceSection & | operator= (const StepElement_Array1OfSurfaceSection &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepElement_SurfaceSection)&Value)
const Handle_StepElement_SurfaceSection & | Value (const Standard_Integer Index) const
const Handle_StepElement_SurfaceSection & | operator() (const Standard_Integer Index) const
Handle_StepElement_SurfaceSection & | ChangeValue (const Standard_Integer Index)
Handle_StepElement_SurfaceSection & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepElement_Array1OfSurfaceSection (const StepElement_Array1OfSurfaceSection &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_Array1OfSurfaceSection::StepElement_Array1OfSurfaceSection | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepElement_Array1OfSurfaceSection::StepElement_Array1OfSurfaceSection | ( | const Handle(StepElement_SurfaceSection)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepElement_Array1OfSurfaceSection::~StepElement_Array1OfSurfaceSection | ( |  | ) | `[inline]`

Standard_EXPORT StepElement_Array1OfSurfaceSection::StepElement_Array1OfSurfaceSection | ( | const StepElement_Array1OfSurfaceSection & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepElement_Array1OfSurfaceSection& StepElement_Array1OfSurfaceSection::Assign | ( | const StepElement_Array1OfSurfaceSection & | Other | ) |

Handle_StepElement_SurfaceSection& StepElement_Array1OfSurfaceSection::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepElement_Array1OfSurfaceSection::Destroy | ( |  | ) |

Standard_EXPORT void StepElement_Array1OfSurfaceSection::Init | ( | const Handle(StepElement_SurfaceSection)& | V | ) |

Standard_Boolean StepElement_Array1OfSurfaceSection::IsAllocated | ( |  | ) | const

Standard_Integer StepElement_Array1OfSurfaceSection::Length | ( |  | ) | const

Standard_Integer StepElement_Array1OfSurfaceSection::Lower | ( |  | ) | const

void StepElement_Array1OfSurfaceSection::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepElement_Array1OfSurfaceSection::operator new | ( | size_t | size | ) | `[inline]`

void* StepElement_Array1OfSurfaceSection::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepElement_SurfaceSection& StepElement_Array1OfSurfaceSection::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepElement_SurfaceSection& StepElement_Array1OfSurfaceSection::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepElement_Array1OfSurfaceSection& StepElement_Array1OfSurfaceSection::operator= | ( | const StepElement_Array1OfSurfaceSection & | Other | ) | `[inline]`

void StepElement_Array1OfSurfaceSection::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepElement_SurfaceSection)& | Value
| ) |

Standard_Integer StepElement_Array1OfSurfaceSection::Upper | ( |  | ) | const

const Handle_StepElement_SurfaceSection& StepElement_Array1OfSurfaceSection::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepElement_Array1OfSurfaceSection::isAllocated`[private]`

Standard_Integer StepElement_Array1OfSurfaceSection::myLowerBound`[private]`

Standard_Address StepElement_Array1OfSurfaceSection::myStart`[private]`

Standard_Integer StepElement_Array1OfSurfaceSection::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepElement_Array1OfSurfaceSection.hxx